BMA EHR API Document

Loading...
Searching...
No Matches
Properties | List of all members
BMA.EHR.Domain.Models.Insignias.InsigniaRequest Class Reference
Inheritance diagram for BMA.EHR.Domain.Models.Insignias.InsigniaRequest:

## Properties
string | RequestStatus`[get, set]`
string | RequestNote`[get, set]`
InsigniaPeriod | Period`[get, set]`
OrganizationEntity | Organization`[get, set]`
Document? | Document`[get, set]`
virtual List< InsigniaRequestProfile > | RequestProfiles = new List<InsigniaRequestProfile>()`[get, set]`
Properties inherited from BMA.EHR.Domain.Models.Base.EntityBase
Guid | Id`[get, set]`
DateTime | CreatedAt = DateTime.Now`[get, set]`
string | CreatedUserId = string.Empty`[get, set]`
DateTime? | LastUpdatedAt`[get, set]`
string | LastUpdateUserId = string.Empty`[get, set]`
string | CreatedFullName = string.Empty`[get, set]`
string | LastUpdateFullName = string.Empty`[get, set]`

## Property Documentation

## ◆ Document

Document? BMA.EHR.Domain.Models.Insignias.InsigniaRequest.Document
| get set

## ◆ Organization

OrganizationEntity BMA.EHR.Domain.Models.Insignias.InsigniaRequest.Organization
| get set

## ◆ Period

InsigniaPeriod BMA.EHR.Domain.Models.Insignias.InsigniaRequest.Period
| get set

## ◆ RequestNote

string BMA.EHR.Domain.Models.Insignias.InsigniaRequest.RequestNote
| get set

## ◆ RequestProfiles

virtual List<InsigniaRequestProfile> BMA.EHR.Domain.Models.Insignias.InsigniaRequest.RequestProfiles = new List<InsigniaRequestProfile>()
| get set

## ◆ RequestStatus

string BMA.EHR.Domain.Models.Insignias.InsigniaRequest.RequestStatus
| get set

The documentation for this class was generated from the following file:

- BMA.EHR.Domain/Models/Insignias/InsigniaRequest.cs